[Pkg-sysvinit-devel] Bug#386893: /etc/init.d/umountnfs.sh wrongly gives "failed" message on stop

Markus Schoder lists at gammarayburst.de
Sun Sep 10 21:57:48 UTC 2006


Package: initscripts
Version: 2.86.ds1-18

There is a bug in the /etc/init.d/umountnfs.sh script that causes it to
wrongly output "failed" (unless $VERBOSE is set to no) if given the stop
command. This only happens if the script finds directories it wants to
unmount.

The following patch fixes it:

--- umountnfs.sh.old	2006-09-08 19:39:03.000000000 +0200
+++ umountnfs.sh	2006-09-10 23:18:09.626288063 +0200
@@ -72,7 +72,8 @@
 	then
 		[ "$VERBOSE" = no ] || log_action_begin_msg "Unmounting remote and non-toplevel virtual filesystems"
 		umount $FLAGS $DIRS
-		[ "$VERBOSE" = no ] || log_action_end_msg $?
+		SUCCESS=$?
+		[ "$VERBOSE" = no ] || log_action_end_msg $SUCCESS
 	fi
 }
 

--
Markus




More information about the Pkg-sysvinit-devel mailing list